Support | Zephyr



An error occurred while installing the add on,Refer to the logs for more information

Created on

If below are the exceptions you spot in the logs while trying to install a new add on

 

Caused by: com.atlassian.plugin.web.conditions.ConditionLoadingException: Could not load 'com.atlassian.jira.plugin.webfragment.conditions.UserIsAdminCondition' in plugin com.thed.zephyr.je
at com.atlassian.jira.plugin.webfragment.JiraWebFragmentHelper.loadCondition(JiraWebFragmentHelper.java:50)
at com.atlassian.plugin.web.descriptors.AbstractWebFragmentModuleDescriptor$1.create(AbstractWebFragmentModuleDescriptor.java:169)

/rest/plugins/1.0/com.thed.zephyr.je-key [atlassian.plugin.manager.DefaultPluginManager] There was an error loading the descriptor 'zephyr.je.admin.plugin.test.section.item.zephyr.info.name' of plugin 'com.thed.zephyr.je'. Disabling.

 

Here are the steps to troubleshoot

 

1. Please check installed_plugins directory at /var/atlassian/application-data/jira/plugins .Check if there is a 'je' related jar , for example :je - 2.5.2.jar .This file which is related to the new version to be upgraded to should be deleted.Once deleted , please restart the JIRA server and go to manage add ons and do the usual up gradation to 2.5.2.Perform JIRA and Zephyr re indexing.

 

2..Also if you find the find the plugins .osgi-plugins and .bundled-plugins that are present in the installed_plugins directory at /var/atlassian/application-data/jira/plugins which  are hidden files also needs to be deleted . Do a ls -a command and you can check the mentioned plugins.Please delete these files, unistall and do a fresh installation and reindex both JIRA and Zephyr.

 

The above steps would help in upgrading again without errors.

 


Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request
Powered by Zendesk